Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.units
Class PriceImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.units.PriceImpl

public class PriceImpl
extends BelongingImpl
implements Price

Represents the price of something. It has a value and a currency.

See Also:
  `Price`, `PriceHome`, Serialized Form

Field Summary
`java.lang.String` | `currency` currency [Price] <*>------> [`String`]
`double` | `value` value [Price] <*>------> [`double`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`PriceImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getCurrency()` Get the value of currency
`double` | `getValue()` Get the value of value
`void` | `setCurrency(java.lang.String currency)` Set the value of currency
`void` | `setValue(double value)` Set the value of value
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public double value

                        value
       [Price] <*>------> [double]

### currency

    public java.lang.String currency

                        currency
       [Price] <*>------> [String]

Constructor Detail

### PriceImpl

    public PriceImpl()

Method Detail

### getValue

    public double getValue()

  Get the value of value
  Specified by:
    getValue in interface Price
  Returns:
    value.

### setValue

    public void setValue(double value)

  Set the value of value
  Specified by:
    setValue in interface Price
  Parameters:
    `value` - value to be added

### getCurrency

    public java.lang.String getCurrency()

  Get the value of currency
  Specified by:
    getCurrency in interface Price
  Returns:
    currency.

### setCurrency

    public void setCurrency(java.lang.String currency)

  Set the value of currency
  Specified by:
    setCurrency in interface Price
  Parameters:
    `currency` - currency to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.